Planet
navi homePPSaboutscreenshotsdownloaddevelopmentforum

Changeset 3001 in orxonox.OLD for orxonox/trunk


Ignore:
Timestamp:
Nov 26, 2004, 8:18:44 PM (20 years ago)
Author:
bensch
Message:

orxonox/trunk: changed Makefile so it should compile again on OS X

Location:
orxonox/trunk
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • orxonox/trunk/configure

    r2995 r3001  
    57755775
    57765776# checking for SDL-headers
    5777 
    5778 for ac_header in SDL/SDL.h
    5779 do
    5780 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
    5781 if eval "test \"\${$as_ac_Header+set}\" = set"; then
    5782   echo "$as_me:$LINENO: checking for $ac_header" >&5
    5783 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
    5784 if eval "test \"\${$as_ac_Header+set}\" = set"; then
    5785   echo $ECHO_N "(cached) $ECHO_C" >&6
    5786 fi
    5787 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
    5788 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
    5789 else
    5790   # Is the header compilable?
    5791 echo "$as_me:$LINENO: checking $ac_header usability" >&5
    5792 echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
    5793 cat >conftest.$ac_ext <<_ACEOF
    5794 /* confdefs.h.  */
    5795 _ACEOF
    5796 cat confdefs.h >>conftest.$ac_ext
    5797 cat >>conftest.$ac_ext <<_ACEOF
    5798 /* end confdefs.h.  */
    5799 $ac_includes_default
    5800 #include <$ac_header>
    5801 _ACEOF
    5802 rm -f conftest.$ac_objext
    5803 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    5804   (eval $ac_compile) 2>conftest.er1
    5805   ac_status=$?
    5806   grep -v '^ *+' conftest.er1 >conftest.err
    5807   rm -f conftest.er1
    5808   cat conftest.err >&5
    5809   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    5810   (exit $ac_status); } &&
    5811          { ac_try='test -z "$ac_c_werror_flag"
    5812                          || test ! -s conftest.err'
    5813   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    5814   (eval $ac_try) 2>&5
    5815   ac_status=$?
    5816   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    5817   (exit $ac_status); }; } &&
    5818          { ac_try='test -s conftest.$ac_objext'
    5819   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    5820   (eval $ac_try) 2>&5
    5821   ac_status=$?
    5822   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    5823   (exit $ac_status); }; }; then
    5824   ac_header_compiler=yes
    5825 else
    5826   echo "$as_me: failed program was:" >&5
    5827 sed 's/^/| /' conftest.$ac_ext >&5
    5828 
    5829 ac_header_compiler=no
    5830 fi
    5831 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
    5832 echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
    5833 echo "${ECHO_T}$ac_header_compiler" >&6
    5834 
    5835 # Is the header present?
    5836 echo "$as_me:$LINENO: checking $ac_header presence" >&5
    5837 echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
    5838 cat >conftest.$ac_ext <<_ACEOF
    5839 /* confdefs.h.  */
    5840 _ACEOF
    5841 cat confdefs.h >>conftest.$ac_ext
    5842 cat >>conftest.$ac_ext <<_ACEOF
    5843 /* end confdefs.h.  */
    5844 #include <$ac_header>
    5845 _ACEOF
    5846 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
    5847   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
    5848   ac_status=$?
    5849   grep -v '^ *+' conftest.er1 >conftest.err
    5850   rm -f conftest.er1
    5851   cat conftest.err >&5
    5852   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    5853   (exit $ac_status); } >/dev/null; then
    5854   if test -s conftest.err; then
    5855     ac_cpp_err=$ac_c_preproc_warn_flag
    5856     ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
    5857   else
    5858     ac_cpp_err=
    5859   fi
    5860 else
    5861   ac_cpp_err=yes
    5862 fi
    5863 if test -z "$ac_cpp_err"; then
    5864   ac_header_preproc=yes
    5865 else
    5866   echo "$as_me: failed program was:" >&5
    5867 sed 's/^/| /' conftest.$ac_ext >&5
    5868 
    5869   ac_header_preproc=no
    5870 fi
    5871 rm -f conftest.err conftest.$ac_ext
    5872 echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
    5873 echo "${ECHO_T}$ac_header_preproc" >&6
    5874 
    5875 # So?  What about this header?
    5876 case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
    5877   yes:no: )
    5878     { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
    5879 echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
    5880     { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
    5881 echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
    5882     ac_header_preproc=yes
    5883     ;;
    5884   no:yes:* )
    5885     { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
    5886 echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
    5887     { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
    5888 echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
    5889     { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
    5890 echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
    5891     { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
    5892 echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
    5893     { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
    5894 echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
    5895     { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
    5896 echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
    5897     (
    5898       cat <<\_ASBOX
    5899 ## ------------------------------------------- ##
    5900 ## Report this to orxonox-dev@mail.datacore.ch ##
    5901 ## ------------------------------------------- ##
    5902 _ASBOX
    5903     ) |
    5904       sed "s/^/$as_me: WARNING:     /" >&2
    5905     ;;
    5906 esac
    5907 echo "$as_me:$LINENO: checking for $ac_header" >&5
    5908 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
    5909 if eval "test \"\${$as_ac_Header+set}\" = set"; then
    5910   echo $ECHO_N "(cached) $ECHO_C" >&6
    5911 else
    5912   eval "$as_ac_Header=\$ac_header_preproc"
    5913 fi
    5914 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
    5915 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
    5916 
    5917 fi
    5918 if test `eval echo '${'$as_ac_Header'}'` = yes; then
    5919   cat >>confdefs.h <<_ACEOF
    5920 #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
    5921 _ACEOF
    5922 
    5923 else
    5924   { { echo "$as_me:$LINENO: error: cannot find SDL headers" >&5
    5925 echo "$as_me: error: cannot find SDL headers" >&2;}
    5926    { (exit 1); exit 1; }; }
    5927 fi
    5928 
    5929 done
    5930 
     5777#    AC_CHECK_HEADERS(SDL/SDL.h ,,
     5778#      [AC_MSG_ERROR([cannot find SDL headers]) ])
    59315779
    59325780## checking for SDL
  • orxonox/trunk/configure.ac

    r2995 r3001  
    181181
    182182# checking for SDL-headers
    183     AC_CHECK_HEADERS(SDL/SDL.h ,,
    184       [AC_MSG_ERROR([cannot find SDL headers]) ])
     183#    AC_CHECK_HEADERS(SDL/SDL.h ,,
     184#      [AC_MSG_ERROR([cannot find SDL headers]) ])
    185185
    186186## checking for SDL
Note: See TracChangeset for help on using the changeset viewer.